import { SfCommand } from '@salesforce/sf-plugins-core';
import { View } from '../../Constants';
import { RulesDependencies } from '../../lib/actions/RulesAction';
import { Displayable } from '../../lib/Display';
export default class RulesCommand extends SfCommand<void> implements Displayable {
    static readonly enableJsonFlag = false;
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly state: string;
    static readonly flags: {
        workspace: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
        'rule-selector': import("@oclif/core/lib/interfaces").OptionFlag<string[], import("@oclif/core/lib/interfaces").CustomOptions>;
        'config-file': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
        'output-file': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
        view: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    };
    run(): Promise<void>;
    protected createDependencies(view: View | undefined, outputFiles: string[]): RulesDependencies;
    /**
     * Creates the {@link RuleViewer} that will be called from {@link RulesAction.execute} to display rules.
     * If a view option is set, rules will be displayed in the specified format.
     * If an output file is set, rules will not display.
     * By default, the details display will be used.
     */
    private createRulesViewer;
}
