import { CodeAnalyzerConfigFactory } from '../factories/CodeAnalyzerConfigFactory';
import { EnginePluginsFactory } from '../factories/EnginePluginsFactory';
import { LogEventListener } from '../listeners/LogEventListener';
import { ProgressEventListener } from '../listeners/ProgressEventListener';
import { RulesActionSummaryViewer } from '../viewers/ActionSummaryViewer';
import { RuleViewer } from '../viewers/RuleViewer';
import { RulesWriter } from '../writers/RulesWriter';
export type RulesDependencies = {
    configFactory: CodeAnalyzerConfigFactory;
    pluginsFactory: EnginePluginsFactory;
    logEventListeners: LogEventListener[];
    progressListeners: ProgressEventListener[];
    actionSummaryViewer: RulesActionSummaryViewer;
    viewer: RuleViewer;
    writer: RulesWriter;
};
export type RulesInput = {
    'config-file'?: string;
    'rule-selector': string[];
    'output-file'?: string[];
    workspace?: string[];
    view?: string;
};
export declare class RulesAction {
    private readonly dependencies;
    private constructor();
    execute(input: RulesInput): Promise<void>;
    static createAction(dependencies: RulesDependencies): RulesAction;
}
