import { CodeAnalyzer, RuleSelection } from '@salesforce/code-analyzer-core';
export declare enum OutputFormat {
    RAW_YAML = "RAW_YAML",
    STYLED_YAML = "STYLED_YAML"
}
export interface ConfigModel {
    toFormattedOutput(format: OutputFormat): string;
}
export declare class AnnotatedConfigModel implements ConfigModel {
    private readonly codeAnalyzer;
    private readonly userRules;
    private readonly allDefaultRules;
    private readonly relevantEngines;
    constructor(codeAnalyzer: CodeAnalyzer, userRules: RuleSelection, allDefaultRules: RuleSelection, relevantEngines: Set<string>);
    toFormattedOutput(format: OutputFormat): string;
}
