import { Rule } from '@salesforce/code-analyzer-core';
import { Display } from '../Display';
export interface RuleViewer {
    view(rules: Rule[]): void;
}
declare abstract class AbstractRuleDisplayer implements RuleViewer {
    protected display: Display;
    constructor(display: Display);
    view(rules: Rule[]): void;
    protected displayLineSeparator(): void;
    protected abstract _view(rules: Rule[]): void;
}
export declare class RuleDetailDisplayer extends AbstractRuleDisplayer {
    protected _view(rules: Rule[]): void;
}
export declare class RuleTableDisplayer extends AbstractRuleDisplayer {
    protected _view(rules: Rule[]): void;
}
export declare class RulesNoOpDisplayer implements RuleViewer {
    view(_rules: Rule[]): void;
}
export {};
