import { RuleSelection } from "@salesforce/code-analyzer-core";
export interface RulesWriter {
    write(rules: RuleSelection): void;
}
export declare class CompositeRulesWriter implements RulesWriter {
    private readonly writers;
    private constructor();
    write(rules: RuleSelection): void;
    static fromFiles(files: string[]): CompositeRulesWriter;
}
export declare class RulesFileWriter implements RulesWriter {
    private readonly file;
    private readonly format;
    constructor(file: string);
    write(ruleSelection: RuleSelection): void;
}
