"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RulesFileWriter = exports.CompositeRulesWriter = void 0;
const fs = __importStar(require("node:fs"));
const code_analyzer_core_1 = require("@salesforce/code-analyzer-core");
const path_1 = __importDefault(require("path"));
const messages_1 = require("../messages");
class CompositeRulesWriter {
    writers = [];
    constructor(writers) {
        this.writers = writers;
    }
    write(rules) {
        this.writers.forEach(w => w.write(rules));
    }
    static fromFiles(files) {
        return new CompositeRulesWriter(files.map(f => new RulesFileWriter(f)));
    }
}
exports.CompositeRulesWriter = CompositeRulesWriter;
class RulesFileWriter {
    file;
    format;
    constructor(file) {
        this.file = file;
        const ext = path_1.default.extname(file).toLowerCase();
        if (ext === '.json') {
            this.format = code_analyzer_core_1.OutputFormat.JSON;
        }
        else {
            throw new Error((0, messages_1.getMessage)(messages_1.BundleName.RulesWriter, 'error.unrecognized-file-format', [file]));
        }
    }
    write(ruleSelection) {
        const contents = ruleSelection.toFormattedOutput(this.format);
        fs.writeFileSync(this.file, contents);
    }
}
exports.RulesFileWriter = RulesFileWriter;
//# sourceMappingURL=RulesWriter.js.map